.window {
    .window-head {
        display: flex;
        flex-direction: column;
        align-items: center;

        .title {
            margin-bottom: 2px !important;
        }

        .desc {
            margin-top: 0 !important;
            margin-bottom: 18px !important;
            text-align: center !important;
            word-wrap: break-word;
            max-width: 200px;
        }
    }
}

.buttons {
    display: grid;
    grid-row-gap: 10px;
}

.sub-buttons {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    grid-column-gap: 8px;
    margin-top: 8px;
}

.button-large {
    width: 400px;
    padding: 8px 10px;
    border-radius: 10px;

    .large-button-text {
        overflow: hidden;
        position: relative;
        z-index: 12;

        .label-main {
            font-size: 20px;
            text-align: left;
            margin-bottom: 4px;
        }

        .label-sub {
            font-size: 14px;
            letter-spacing: 1px;
            text-align: left;

            margin-right: 5px;
            margin-bottom: 6px;
            margin-left: 5px;

            width: 90%;

            opacity: 0.8;
        }

        * {
            margin: 0;
            font-weight: 400;
        }

        .label-flex {
            font-size: 11px;
            text-align: center;
            margin-bottom: 1px;
            margin-top: 3px;
            opacity: 0.6;
        }
    }

    .single-line-button-text {
        display: flex;
        flex-direction: row;
        align-items: center;

        .separator {
            width: 100%;
        }

        .label-main {
            font-size: 18px;
            text-align: left;
        }

        .label-sub {
            font-size: 14px;
            letter-spacing: 1px;
            text-align: right;

            opacity: 0.8;
        }

        * {
            margin: 0;
            font-weight: 400;
        }
    }
}

.button-smol {
    max-width: 300px;
    border-radius: 5px;
    padding: 1px;

    .smol-button-text {
        padding: 2px;
        text-align: left;
        position: relative;
        height: 100%;

        .label-main {
            font-size: 12px;
            opacity: 0.9;
            margin-left: 5px;
        }

        .label-sub {
            font-size: 10px;
            margin-top: 1px;
            opacity: 0.8;
            margin-left: 5px;
        }

        * {
            font-weight: 400;
            margin: 0;
            padding: 0;
        }

        img {
            position: absolute;
            right: 2px;
            top: 2px;
            height: calc(100% - 8px);
            aspect-ratio: 1 / 1;
            filter: grayscale(80%);
        }
    }
}

.grid-entry {
    height: 100%;
}

.button {
    position: relative;

    font-family: "JetBrains Mono", monospace;

    box-sizing: border-box;

    transition: background-color 0.2s ease;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    color: #eee;

    .button-background {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        z-index: 13;
    }

    .button-link {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        z-index: 14;
    }

    .button-img {
        overflow: hidden;
        object-fit: cover;
        mask-image: linear-gradient(to right, transparent, black);
        filter: grayscale(50%) opacity(50%);

        z-index: 11;
        position: absolute;
        top: 0;
        left: 40%;
        width: 80%;
        height: 100%;
    }
}

.button:hover {
    background-color: #333333;
}

.button.center {
    justify-content: center;
}
